Bug 3727 - If item type is mandatory in marc editor, itemtype is autofilled
Summary: If item type is mandatory in marc editor, itemtype is autofilled
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: rel_3_0
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Frédérick Capovilla
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 11313
  Show dependency treegraph
 
Reported: 2009-10-22 02:17 UTC by Cindy Murdock Ames
Modified: 2013-11-27 15:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Corrects the behaviour of the itemtype selectbox in addbiblio.pl (1.20 KB, patch)
2011-03-31 20:37 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
Patch corrected (1.20 KB, patch)
2011-03-31 20:56 UTC, Frédérick Capovilla
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:14:17 UTC


---- Reported by cmurdock@ccfls.org 2009-10-22 14:17:56 ----

In the marc editor, if the item type is marked as mandatory, the item type is automatically filled in with the first value in the list alphabetically.  The desired behavior would be for the default value to be empty, which would prompt the usual mandatory warning if an actual item type isn't selected by the librarian. Otherwise, you may end up with junk item types if the librarian fails to change the value.

Incidentally, authorized values that are marked as mandatory do the same thing in the marc editor; however, if you add an empty authorized value to your authorized value list, that becomes the default value in the marc field, which then triggers the mandatory warning if the librarian doesn't change the value.  You can't use this workaround with item type, though, because Koha won't let you add an empty item type.

It seems to work the same way with biblioitem-level item types and item-level itemtypes.

I'm going to see if Kyle can add a quick patch for this.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:14 UTC  ---

This bug was previously known as _bug_ 3727 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3727

Actual time not defined. Setting to 0.0

Comment 1 Frédérick Capovilla 2011-03-31 20:37:55 UTC Comment hidden (obsolete)
Comment 2 Frédérick Capovilla 2011-03-31 20:56:55 UTC
Created attachment 3589 [details] [review]
Patch corrected

I made a mistake in my last patch, so I here is a corrected version of the patch.
Comment 3 Julian Maurice 2011-04-01 10:23:53 UTC
Works as expected: signed off.
Comment 4 Chris Cormack 2011-04-01 17:30:08 UTC
Pushed, please test